Anonymous Login
2019-06-25 16:41 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000950v3.0 Release[All Projects] Generalpublic2013-08-28 11:25
Reporterlkrzak 
Assigned Tocaseydk 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000950: Unable to assign user through "Edit task" form
DescriptionIn the "Edit task" form, when clicking on human resources tab I see only one blank entry and one user listed in the "Human Resources:" box, although I have 4 users created via User Admin. However assigning a user through the "Tasks" view allows to properly select from existing users. Could be something broken with the "Human Resources" list. Cant remember having this problem in W2P 2.2.

Steps to reproduce:
I've installed a fresh 2.4 version. Added several companies, 4 users, 2 projects and one task per project.

PHP 5.2.17
MySQL 5.0.84
Apache/2.2.19 (Unix)
TagsNo tags attached.
Attached Files

-Relationships
child of 0000460new Pending Requests clean up tasksperuser_sub.php 
+Relationships

-Notes

~0002182

caseydk (administrator)

The one user you see is probably your admin user, correct?

By default, web2project will not show Inactive Users or Users without Task access in the Human Resources box.

It's built on the belief that it's inappropriate to assigns Tasks to someone if they can't log into the system (Inactive) or can't see Tasks at all.

~0002186

lkrzak (reporter)

True! The only user I saw on the list had administrator role assigned, others were project workers. I've added permissions to access and view tasks and now they show up properly in human resources box.

However you still might want to look into it because of a minor inconsistency: I was able to assign the user using the main "Tasks" view interface but not through "edit task" interface.

Anyway thanks for quick reply caseydk! As far as I'm concerned you can close this issue.

~0002187

caseydk (administrator)

What's the url for the page where you were able to assign inactive users?

Everything after the "index.php?" is sufficient.

~0002190

lkrzak (reporter)

?m=tasks
on the right side there is a list of users with "+" and "-" buttons.

To be precise: these users were listed as ACTIVE in User Admin - they just didn't have the permissions to access and view tasks - as you've pointed out this prohibited them to be added to task through "edit task" page.

~0002302

caseydk (administrator)

The best equivalent screen that I can find is:

index.php?m=tasks&a=tasksperuser

Unfortunately, I can't make much of it in general and I think it should be completely reworked to be useful.

Is this page something you use regularly?

~0002310

opto (manager)

yes - at least in previous versions, I could use it to set the user specific priority for my employees.
This may be lost in 3pre - it is very important to get that back: an admin must be able to set user priorities for others without clicking into every single task to do that

~0002377

caseydk (administrator)

This one is updated. If you check the "Edit Multiple Task Assignments" box in the System Configuration, the ?m=tasks page allows for multiple assignments, updates, etc.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-03 11:33 lkrzak New Issue
2011-09-03 20:40 caseydk Note Added: 0002182
2011-09-03 20:40 caseydk Status new => feedback
2011-09-04 02:31 lkrzak Note Added: 0002186
2011-09-04 22:25 caseydk Note Added: 0002187
2011-09-04 22:35 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-09-05 07:38 lkrzak Note Added: 0002190
2011-11-24 17:00 caseydk Priority normal => low
2011-11-24 22:09 caseydk Note Added: 0002302
2011-11-24 22:47 caseydk Severity major => trivial
2011-11-24 23:04 caseydk Relationship added child of 0000460
2011-11-25 05:46 opto Note Added: 0002310
2012-01-08 15:25 caseydk Note Added: 0002377
2012-01-08 15:25 caseydk Status feedback => resolved
2012-01-08 15:25 caseydk Resolution open => fixed
2012-01-08 15:25 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:25 caseydk Status resolved => closed
+Issue History